package com.curiam.client.datos;

import java.io.Serializable;
import java.util.ArrayList;

//Bean con los resultados de clasificación que devuelve el servidor
public class ResultBeanTPB implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private ArrayList<Double> probabilities = new ArrayList<Double>();
	private ArrayList<String> labels = new ArrayList<String>();
	private ArrayList<String> legends = new ArrayList<String>();
	private String clasificador = new String(); 
	private String campos = new String();
	
	public String getCampos() {
		return campos;
	}

	public void setCampos(String campos) {
		this.campos = campos;
	}

	public String getClasificador() {
		return clasificador;
	}

	public void setClasificador(String clasificador) {
		this.clasificador = clasificador;
	}

	public ResultBeanTPB(){
	}
	
	public ResultBeanTPB(String clasificador, ArrayList<Double> pr, ArrayList<String> lb, ArrayList<String> lg, String campos){
		this.clasificador = clasificador;
		this.campos = campos;
		for(int i=0;i<pr.size();i++){
			probabilities.add(pr.get(i));
			labels.add(lb.get(i));
			legends.add(lg.get(i));
		}
	}
	
	
	public ArrayList<String> getLegends() {
		return legends;
	}

	public void setLegends(String legend) {
		this.legends.add(legend);
	}

	public ArrayList<Double> getProbabilities() {
		return probabilities;
	}

	public void setProbabilities(double probability) {
		this.probabilities.add(probability);
	}

	public ArrayList<String> getLabels() {
		return labels;
	}

	public void setLabels(String label) {
		this.labels.add(label);
	}
	
	
}
